summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-sports')
-rw-r--r--games-sports/xmoto/xmoto-0.5.11.ebuild5
1 files changed, 3 insertions, 2 deletions
diff --git a/games-sports/xmoto/xmoto-0.5.11.ebuild b/games-sports/xmoto/xmoto-0.5.11.ebuild
index 444ad496e78..5ecfe3db495 100644
--- a/games-sports/xmoto/xmoto-0.5.11.ebuild
+++ b/games-sports/xmoto/xmoto-0.5.11.ebuild
@@ -51,8 +51,9 @@ src_prepare() {
src_configure() {
# bug #289792
- filter-flags -DdDOUBLE
- has_version 'dev-games/ode[double-precision]' && append-flags -DdDOUBLE
+ filter-flags -DdDOUBLE -DdSINGLE
+ # bug #569624 - ode-0.13 needs one or the other defined
+ append-flags -Dd$(has_version 'dev-games/ode[double-precision]' && echo DOUBLE || echo SINGLE)
egamesconf \
--enable-threads=posix \